<?php

namespace App\User\Database;

class ResolutionList
{
    public static $resolutions = [
        '480p',
        '720p',
        '1080p',
        '2160p',
    ];

    public static function getResolutions()
    {
        return self::$resolutions;
    }

    public static function asSelectOptions(): array
    {
        $result = ['-' => '-'];
        foreach (static::$resolutions as $resolution) {
            $result[$resolution] = $resolution;
        }
        return $result;
    }
}
